Skip to main content
GET
/
api
/
v1
/
models
/
{model}
Get model
curl --request GET \
  --url https://api.myrouter.example/api/v1/models/{model} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "pricing": {
      "prompt": "<string>",
      "completion": "<string>",
      "request": "<string>",
      "image": "<string>",
      "web_search": "<string>",
      "internal_reasoning": "<string>",
      "input_cache_read": "<string>",
      "input_cache_write": "<string>"
    },
    "name": "<string>",
    "description": "<string>",
    "context_length": 123,
    "architecture": {},
    "top_provider": {},
    "supported_parameters": [
      "<string>"
    ]
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-request-id
string

Optional caller request id.

Path Parameters

model
string
required

Public model id.

Minimum string length: 1

Response

Get model response.

data
object
required

Visible model detail.

request_id
string

Request id.